#include "utils/colorSpace.glsl"

in vec2 vTexCoord;

out vec4 oFragColor;

uniform sampler2D uTexture0;
uniform int uConvertToSRGB;
uniform float uBackgroundImageOverlay;

void main(void) {
    vec4 color = texture(uTexture0, vTexCoord);
    color.rgb = sRGBToLinear(color.rgb);

    float alpha = uBackgroundImageOverlay * color.a;
    oFragColor = vec4(color.rgb * alpha, alpha);

    if (uConvertToSRGB == 1) {
        oFragColor = linearTosRGB(oFragColor);
    }
}
