#include "utils/getLuminance.glsl"

out vec4 oFragColor;

uniform sampler2D uTexture0;
uniform float uBloomThreshold;

void main(void) {
    initUV();

    vec3 color = texture(uTexture0, g_uv).rgb;

    color = clamp(color * clamp(getLuminance(color) - uBloomThreshold, 0.0, 3.0), 0.0, 3.0);

    oFragColor = vec4(color, 1.0);
}
