uniform sampler2D uTexture0;

uniform float uChromaticFactor;

vec3 chromatic() {
    vec2 dist = g_uv - 0.5;
    vec2 offset = dist * (uChromaticFactor * 0.05 * length(dist));

    vec3 color;
    color.r = texture(uTexture0, g_uv - offset).r;
    color.g = texture(uTexture0, g_uv).g;
    color.b = texture(uTexture0, g_uv + offset).b;

    return color;
}
