#include "utils/readDepth.glsl"

out vec4 oFragColor;

uniform sampler2D uTexture0;
uniform vec2 uTexture0Size;

void main(void) {
    initUV();

    vec2 invSize = 1.0 / uTexture0Size;
    vec2 offDepth = vec2(0.5, -0.5);

    float d0 = texture(uTexture0, g_uv).r;
    float d1 = texture(uTexture0, g_uv + offDepth.yy * invSize).r;
    float d2 = texture(uTexture0, g_uv + offDepth.xy * invSize).r;
    float d3 = texture(uTexture0, g_uv + offDepth.yx * invSize).r;
    float d4 = texture(uTexture0, g_uv + offDepth.xx * invSize).r;

    float depth = max(max(max(d0, d1), max(d2, d3)), d4);
    // float depth = min(min(min(d4, d1), min(d2, d3)), d4);

    // ivec2 uv = 2 * ivec2(gl_FragCoord.xy) + ivec2(int(gl_FragCoord.y) & 1, int(gl_FragCoord.x) & 1);
    // depth = texture(uTexture0, vec2(uv) / uTexture0Size).r;

#ifdef FIRST_MIP
    depth = readDepthLinear(depth);
#endif

    oFragColor.r = depth;
}
