#include "utils/readDepth.glsl"

out float oFragColor;

uniform sampler2D uTexture0;
uniform sampler2D uTexture1;
uniform sampler2D uTexture2;
uniform sampler2D uTexture3;
uniform sampler2D uTexture4;
uniform sampler2D uTexture5;

void main(void) {
    initUV();

    float levelLog = -log2(1.0 - g_uv.y) + 1.0;
    float level = floor(levelLog) - 1.0;

    float pLevel = pow(2.0, level + 1.0); // 2, 4, 8, 16...
    g_uv.x = pLevel * g_uv.x * 0.5;
    g_uv.y = pLevel * (1.0 - g_uv.y) - 1.0;

    // unused part of the texture
    if (g_uv.x > 1.0 || g_uv.y > 1.0) {
        discard;
    }

    float result = 0.0;

    if (level < 0.1) {
        result = readDepthLinear(texture(uTexture0, g_uv).r);
    } else if (level < 1.1) {
        result = texture(uTexture1, g_uv).r;
    } else if (level < 2.1) {
        result = texture(uTexture2, g_uv).r;
    } else if (level < 3.1) {
        result = texture(uTexture3, g_uv).r;
    } else if (level < 4.1) {
        result = texture(uTexture4, g_uv).r;
    } else if (level < 5.1) {
        result = texture(uTexture5, g_uv).r;
    }

    oFragColor = result;
}
