#include "utils/colorSpace.glsl"

out vec4 oFragColor;

uniform sampler2D uTexture0;

uniform vec2 uBlurDir;
uniform float uPixelRatio;
uniform int uConvertToSRGB;
uniform float uGaussianMixer;

#define fetchRGB(offset) texture(uTexture0, g_uv + offset).rgb

void main(void) {
    initUV();

    vec2 offset = vec2(0.0);
    // vec2 blurDir = uPixelRatio * uBlurDir / uOutputSize;
    vec2 blurDir = uBlurDir / uOutputSize;

    vec3 midPixel = fetchRGB(offset);

#if LEVEL == 0
    vec3 pixel = 0.375 * midPixel;
    offset = blurDir * 1.2;
    pixel += 0.3125 * (fetchRGB(offset) + fetchRGB(-offset));

#elif LEVEL == 1
    vec3 pixel = 0.3125 * midPixel;
    offset = blurDir * 1.285714;
    pixel += 0.328125 * (fetchRGB(offset) + fetchRGB(-offset));
    offset = blurDir * 3.0;
    pixel += 0.015625 * (fetchRGB(offset) + fetchRGB(-offset));

#elif LEVEL == 2
    vec3 pixel = 0.275591 * midPixel;
    offset = blurDir * 1.333333;
    pixel += 0.330709 * (fetchRGB(offset) + fetchRGB(-offset));
    offset = blurDir * 3.0;
    pixel += 0.031496 * (fetchRGB(offset) + fetchRGB(-offset));

#elif LEVEL == 3
    vec3 pixel = 0.246575 * midPixel;
    offset = blurDir * 1.363636;
    pixel += 0.322896 * (fetchRGB(offset) + fetchRGB(-offset));
    offset = blurDir * 3.181818;
    pixel += 0.053816 * (fetchRGB(offset) + fetchRGB(-offset));

#elif LEVEL == 4
    vec3 pixel = 0.227027 * midPixel;
    offset = blurDir * 1.384615;
    pixel += 0.316216 * (fetchRGB(offset) + fetchRGB(-offset));
    offset = blurDir * 3.230769;
    pixel += 0.070270 * (fetchRGB(offset) + fetchRGB(-offset));
#else
#    error "LEVEL requested not supported"
#endif

    pixel = mix(midPixel, pixel, uGaussianMixer);
    oFragColor = vec4(pixel, 1.0);
}
