#include "utils/rand.glsl"

uniform float uGrainFactor;

float nrandTriangle() {
    float nrnd0 = pseudoRandom(gl_FragCoord.xy);

    // Convert uniform distribution into triangle-shaped distribution.
    float orig = nrnd0 * 2.0 - 1.0;
    nrnd0 = orig * inversesqrt(abs(orig));
    nrnd0 = max(-1.0, nrnd0); // Nerf the NaN generated by 0 * rsqrt(0). Thanks @FioraAeterna!
    nrnd0 = nrnd0 - sign(orig) + 0.5;

    // Result is range [-0.5,1.5] which is useful for actual dithering. convert to [0,1] for histogram.
    return (nrnd0 + 0.5) * 0.5;
    // return nrnd0;
}

vec3 grain(const in vec3 color) {
    if (uGrainFactor == 0.0) return color;

    float grainFactor = nrandTriangle();
    return mix(color, color * (color + (1.0 - color) * 2.0 * grainFactor), uGrainFactor);
}
