#include "utils/colorSpace.glsl"

out vec4 oFragColor;

uniform sampler2D uTexture0;
uniform vec4 uOutlineColor;
uniform int uConvertToSRGB;
uniform float uOutlineThickness;

void main(void) {
    initUV();

    float fac0 = 2.0;
    float fac1 = 1.0;
    float ox = uOutlineThickness / uOutputSize.x;
    float oy = uOutlineThickness / uOutputSize.y;
    float texel0 = texture(uTexture0, g_uv + vec2(ox, oy)).r;
    float texel1 = texture(uTexture0, g_uv + vec2(ox, 0.0)).r;
    float texel2 = texture(uTexture0, g_uv + vec2(ox, -oy)).r;
    float texel3 = texture(uTexture0, g_uv + vec2(0.0, -oy)).r;
    float texel4 = texture(uTexture0, g_uv + vec2(-ox, -oy)).r;
    float texel5 = texture(uTexture0, g_uv + vec2(-ox, 0.0)).r;
    float texel6 = texture(uTexture0, g_uv + vec2(-ox, oy)).r;
    float texel7 = texture(uTexture0, g_uv + vec2(0.0, oy)).r;
    float rowx = -fac0 * texel5 + fac0 * texel1 + -fac1 * texel6 + fac1 * texel0 + -fac1 * texel4 + fac1 * texel2;
    float rowy = -fac0 * texel3 + fac0 * texel7 + -fac1 * texel4 + fac1 * texel6 + -fac1 * texel2 + fac1 * texel0;
    float mag = dot(rowy, rowy) + dot(rowx, rowx);
    if (mag < 1.5) discard;

    oFragColor = vec4(uOutlineColor.rgb * uOutlineColor.a, uOutlineColor.a);

    if (uConvertToSRGB == 1) {
        oFragColor = linearTosRGB(oFragColor);
    }
}
