uniform sampler2D uTexture0;
uniform vec2 uTexture0Size;

uniform float uSharpenFactor;

vec3 sharpen(const in vec3 color) {
    if (uSharpenFactor == 0.0) {
        return color;
    }

    vec2 off = 1.0 / uTexture0Size.xy;

    // use useAA, 4 texFetch already in cache. perhaps we could cache ourself.
    vec3 rgbNW = texture(uTexture0, g_uv + off * vec2(-1.0, -1.0)).rgb;
    vec3 rgbSE = texture(uTexture0, g_uv + off * vec2(1.0, 1.0)).rgb;
    vec3 rgbNE = texture(uTexture0, g_uv + off * vec2(1.0, -1.0)).rgb;
    vec3 rgbSW = texture(uTexture0, g_uv + off * vec2(-1.0, 1.0)).rgb;

    return color + uSharpenFactor * (4.0 * color - rgbNW - rgbNE - rgbSW - rgbSE);
}