#include "utils/colorSpace.glsl"
#include "utils/depthClampFrag.glsl"

in vec3 vBaseColor;

out vec4 oFragColor;

uniform int uConvertToSRGB;
uniform float uMeshAlpha;
uniform vec3 uBaseColor;

vec3 getBaseColor() { return uBaseColor.x >= 0.0 ? uBaseColor : vBaseColor; }

void main(void) {
    oFragColor = vec4(getBaseColor() * uMeshAlpha, uMeshAlpha);

    if (uConvertToSRGB == 1) {
        oFragColor = linearTosRGB(oFragColor);
    }

    depthClampFrag();
}
