#include "utils/colorSpace.glsl"
#include "utils/depthClampFrag.glsl"

in vec3 vLocalVertex;

out vec4 oFragColor;

uniform vec4 uGridColor;

float udRoundBox(vec2 p, float r) { return length(max(abs(p), 0.0)) - r; }

void main(void) {
    float alpha = uGridColor.a;
    alpha *= (1.0 - smoothstep(0.2, 0.5, length(vLocalVertex.xz)));
    alpha *= (1.0 - smoothstep(0.1, 0.5, max(abs(vLocalVertex.x), abs(vLocalVertex.z))));

    oFragColor = vec4(uGridColor.rgb * alpha, alpha);

    depthClampFrag();
}
