#include "utils/colorSpace.glsl"
#include "utils/depthClampFrag.glsl"

in vec2 vTexCoord;

out vec4 oFragColor;

uniform sampler2D uTexture0;
uniform int uConvertToSRGB;

uniform vec3 uBaseColor;
uniform float uMeshAlpha;

void main(void) {
    vec4 color = texture(uTexture0, vTexCoord);
    // color = vec4(color.rgb * linearTosRGB(uBaseColor), color.a * uMeshAlpha);

    color.a *= uMeshAlpha;
    color.rgb = sRGBToLinear(color.rgb) * uBaseColor * uMeshAlpha;

    if (uConvertToSRGB == 1) {
        color = linearTosRGB(color);
    }

    oFragColor = color;

    depthClampFrag();
}
