#include "shading/matcap.glsl"
#include "utils/checkDiscard.glsl"
#include "utils/colorSpace.glsl"
#include "utils/encodeFragColor.glsl"
#include "utils/getNormal.glsl"
#include "utils/writeFragDepth.glsl"

in float vMask;
in vec3 vBaseColor;

out vec4 oFragColor;

uniform vec3 uBaseColor;
uniform int uScreenshot;

vec3 getBaseColor() { return uBaseColor.x >= 0.0 ? uBaseColor : vBaseColor; }

void main(void) {
    g_frontSign = gl_FrontFacing ? 1.0 : -1.0;
    vec3 normal = getNormal(); // before discard
    checkDiscard();

    vec3 color = getBaseColor();
    color *= matcap(normal);

    oFragColor = encodeFragColor(color);

    if (uScreenshot == 1) {
        oFragColor = vec4(linearTosRGB(color * (0.3 + 0.7 * vMask)), 1.0);
    }

    writeFragDepth();
}
