#include "utils/colorSpace.glsl"

in vec3 vWorldVertex;

out vec4 oFragColor;

uniform sampler2D uTexture0;
uniform float uMeshAlpha;
uniform vec2 uTexture0Size;
uniform float uPreviewResolution;

// float inOutPow4(float x) { return x < 0.5 ? pow(2.0 * x, 8.0) / 2.0 : 1.0 - pow(2.0 * (1.0 - x), 8.0) / 2.0; }

void main(void) {
    vec3 csize = vec3(2.0 * uPreviewResolution);
    vec3 c = mod(vWorldVertex, csize) / csize;
    c.x = c.x < 0.5 ? 0.0 : 1.0;
    c.y = c.y < 0.5 ? 0.0 : 1.0;
    c.z = c.z < 0.5 ? 0.0 : 1.0;

    vec3 color = vec3(mod(c.x + c.y + c.z, 2.0));

    oFragColor = vec4(color * uMeshAlpha, uMeshAlpha);
}
