#include "utils/depth.glsl"

out vec4 oFrag;

// uniform vec2 uNearFar;

// https://github.com/google/filament/blob/main/shaders/src/depth_main.fs
void main(void) {
    float depth = depthToLinear(gl_FragCoord.z);

    // depth /= abs(uNearFar.y);

    oFrag.x = depth;

    float dx = dFdx(depth);
    float dy = dFdy(depth);
    float bias = 0.25 * (dx * dx + dy * dy);
    oFrag.y = depth * depth + bias;
}
