// https://skytiger.wordpress.com/2010/12/01/packing-depth-into-color/
vec3 encode24(const in float x) {
    const vec3 code = vec3(1.0, 255.0, 65025.0);
    vec3 pack = vec3(code * x);
    pack.gb = fract(pack.gb);
    pack.rg -= pack.gb * (1.0 / 256.0);
    return pack;
}

float decode24(const in vec3 x) {
    const vec3 decode = 1.0 / vec3(1.0, 255.0, 65025.0);
    return dot(x, decode);
}

// https://aras-p.info/texts/CompactNormalStorage.html
vec2 encodeNormal(const in vec3 normal) {
    float p = sqrt(normal.z * 8.0 + 8.0);
    return normal.xy / p + 0.5;
}

vec3 decodeNormal(const in vec2 enc) {
    if (enc == vec2(0.0)) {
        return vec3(0.0, 0.0, 1.0);
    }

    vec2 fenc = enc * 4.0 - 2.0;
    float f = dot(fenc, fenc);
    float g = sqrt(1.0 - f / 4.0);
    return vec3(fenc * g, 1.0 - f / 2.0);
}

// ----------------------------------------

// vec2 encodeNormal(const in vec3 normal) {
//     vec2 enc = normalize(normal.xy) * (sqrt(-normal.z * 0.5 + 0.5));
//     return enc * 0.5 + 0.5;
// }

// vec3 decodeNormal(const in vec2 enc) {
//     vec4 nn = vec4(2.0 * enc, 0.0, 0.0) + vec4(-1.0, -1.0, 1.0, -1.0);
//     float l = dot(nn.xyz, -nn.xyw);
//     nn.z = l;
//     nn.xy *= sqrt(l);
//     return nn.xyz * 2 + vec3(0.0, 0.0, -1.0);
// }

// ----------------------------------------
