vec3 computeLodParams(const in float lodLevel, const in float width) {
    float powLevel = pow(2.0, floor(lodLevel));
    return vec3(powLevel / width, 1.0 / powLevel, 1.0 / (2.0 * powLevel));
}

vec2 computeLodUV(const in vec2 uv, const in vec3 params) {
    vec2 uvMip = clamp(uv, params.xx, 1.0 - params.xx);
    uvMip.x = uvMip.x * params.y;
    uvMip.y = 1.0 - (1.0 + uvMip.y) * params.z;
    return uvMip;
}

vec2 computeLodUV(const in vec2 uv, const in float lodLevel, const in float width) {
    return computeLodUV(uv, computeLodParams(lodLevel, width));
}
