uniform vec2 uNearFar;
uniform vec4 uProjectionDepth;

// ortho => uProjectionDepth.z == 1.0 (otherwise 0.0)

float depthNoLinearToZEye(float depthNoLinear) {
    float d = depthNoLinear * 2.0 - 1.0;
    return -(uProjectionDepth.y - d * uProjectionDepth.z) / (uProjectionDepth.x + d * (1.0 - uProjectionDepth.z));
}

float zEyeToDepthNoLinear(float zEye) {
    float depth =
        -(uProjectionDepth.y + zEye * uProjectionDepth.x) / (zEye * (1.0 - uProjectionDepth.z) - uProjectionDepth.z);
    return depth * 0.5 + 0.5;
}

float zEyeToDepthLinear(float zEye) { return (-zEye - uNearFar.x) / (uNearFar.y - uNearFar.x); }

float depthLinearToZEye(float depthLinear) { return -uNearFar.x - depthLinear * (uNearFar.y - uNearFar.x); }

float toDepthLinear(float dNoLinear) {
    if (uProjectionDepth.x > 0.9) return dNoLinear;
    return zEyeToDepthLinear(depthNoLinearToZEye(dNoLinear));
}

float toDepthNoLinear(float dLinear) {
    if (uProjectionDepth.x > 0.9) return dLinear;
    return zEyeToDepthNoLinear(depthLinearToZEye(dLinear));
}
