#include "utils/checkDiscard.glsl"
#include "utils/colorSpace.glsl"
#include "utils/encodeFragColor.glsl"
#include "utils/frontSign.glsl"

in vec2 vTexCoord;
in vec3 vBaseColor;

out vec4 oFragColor;

uniform sampler2D uTexture0;
uniform vec3 uBaseColor;

vec3 getBaseColor() { return uBaseColor.x >= 0.0 ? uBaseColor : vBaseColor; }

void main(void) {
    g_frontSign = gl_FrontFacing ? 1.0 : -1.0;
    checkDiscard();

    vec3 color = sRGBToLinear(texture(uTexture0, vTexCoord).rgb);
    color *= getBaseColor();

    // uvec2 ucoord = uvec2(vTexCoord * 512.0) / 4u;
    // float grid = ((ucoord.x + ucoord.y) % 2u) == 0u ? 0.25 : 0.75;
    // color = mix(color, vec3(grid), 0.5);

    oFragColor = encodeFragColor(color);
}
