#define NO_JITTER

uniform vec4 uProjectionDepth;
uniform vec2 uNearFar;
uniform float uSceneScale;

float getWireframeOffset() {
    // perspective
    if (uProjectionDepth.z < 0.5) {
        return -0.003 * uNearFar.x;
    }

    // orthographic
    // retrieve view z
    float eyeZ = (gl_Position.z - uProjectionDepth.y) / uProjectionDepth.x;
    return -0.00005 * abs(eyeZ) / uSceneScale;
}

#define INJECT_VERTEX gl_Position.z += getWireframeOffset();

#include "base.vert"
